package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckRecordDeviceE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:03
 */
public interface FireCheckRecordDeviceGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckRecordDeviceE fireCheckRecordDeviceE);

    /**
     * 修改
     */
    Boolean update(FireCheckRecordDeviceE fireCheckRecordDeviceE);

    /**
     * 删除
     */
    Boolean deletedFireCheckRecordDeviceById(Long id);

    Boolean deletedFireCheckRecordDeviceByIds(Long[] id);

}

